eslint-plugin-react-hooks versions and peer dependencies

The table below has a list of all versions of eslint-plugin-react-hooks compatible peers dependencies.

Version Peer Dependency Versions
1.0.0 - 1.6.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0
1.6.1 - 1.7.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0 || ^6.0.0
2.0.0 - 2.5.1
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0 || ^6.0.0
4.0.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0 || ^6.0.0
4.0.1 - 4.2.0
  • eslint @ ^3.0.0 || ^4.0.0 || ^5.0.0 || ^6.0.0 || ^7.0.0